Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 453916 (CVE-2008-2928) - CVE-2008-2928 Directory Server: CGI accept language buffer overflow
Summary: CVE-2008-2928 Directory Server: CGI accept language buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-2928
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 413531 453921 453922
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 08:38 UTC by Tomas Hoger
Modified: 2019-09-29 12:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-26 13:06:50 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0596 0 normal SHIPPED_LIVE Critical: Red Hat Directory Server 7.1 Service Pack 7 security update 2008-08-27 20:41:43 UTC

Description Tomas Hoger 2008-07-03 08:38:33 UTC
A flaw was found in a Accept Language HTTP header parsers implemented in
adminutil library used by various Red Hat Directory Server's Administration
Server's CGI scripts.  A remote attacker able to connect to Administration
Server web interface could cause a CGI scripts to crash, or possibly execute an
arbitrary code.

Issue affects:
- Red Hat Directory Server 7.1
- adminutil packages shipped in Red Hat Directory Server 8 and Fedora Directory
Server, prior to adminutil version 1.1.7

Comment 4 Tomas Hoger 2008-07-09 14:34:03 UTC
Further investigation showed that even though adminutil as shipped with Red Hat
Directory Server 8 contain vulnerable code, it is not used by any CGI script
shipped with Directory Server 8.

Directory Administration Server CGI scripts do not use affected code.  Directory
Server Gateway (DSGW), which is affected on Red Hat Directory Server 7.1 and
Fedora Directory Server (fedora-ds-dsgw package), is not shipped with Red Hat
Directory Server 8.

Due to that, this issue will not be treated as security sensitive for Red Hat
Directory Server 8, but may be fixed as bugfix in future adminutil package updates.

Comment 5 Tomas Hoger 2008-08-27 20:15:37 UTC
Lifting embargo.

Comment 6 Fedora Update System 2008-09-10 06:49:56 UTC
adminutil-1.1.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-09-10 07:18:13 UTC
adminutil-1.1.7-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.